<xml></xml>

Collapse All Expand All Code: All Code: Multiple Code: C# Code: Visual Basic Code: Visual C++

Berkeley DB .NET API Documentation
DatabaseEnvironmentConfig..::.SetEncryption Method
DatabaseEnvironmentConfig Class See Also Send Feedback

Set the password and algorithm used by the Berkeley DB library to perform encryption and decryption.

Namespace: BerkeleyDB
Assembly: libdb_dotnet53 (in libdb_dotnet53.dll) Version: 5.3.28.0

# Syntax

C#

    public void SetEncryption(
    	string password,
    	EncryptionAlgorithm alg
    )

Visual Basic (Declaration)

    Public Sub SetEncryption ( _
    	password As String, _
    	alg As EncryptionAlgorithm _
    )

Visual C++

    public:
    void SetEncryption(
    	String^ password,
    	EncryptionAlgorithm alg
    )

#### Parameters

password
  Type: System..::.String
  The password used to perform encryption and decryption.

alg
  Type: BerkeleyDB..::.EncryptionAlgorithm
  The algorithm used to perform encryption and decryption.

# See Also

DatabaseEnvironmentConfig Class
BerkeleyDB Namespace